---
title: Network request list
slug: Tools/Network_Monitor/request_list
tags:
  - '110n:priority'
  - Debugging
  - Dev Tools
  - Firefox
  - Guide
  - Networking
  - Tools
---
<p>{{ToolsSidebar}}</p>

<p>The request list of the Network Monitor shows a list of all the network requests made in the course of loading the page.</p>

<h2 id="Network_request_list">Network request list</h2>

<p>By default, the Network Monitor shows a list of all the network requests made in the course of loading the page. Each request is displayed in its own row:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16258/Network_request_list.png" style="border: 1px solid black; display: block; height: 328px; margin: 0px auto; width: 900px;">By default, the Network Monitor is cleared each time you navigate to a new page or reload the current page. You can override this behavior by checking "Enable persistent logs" in the <a href="/en-US/docs/Tools_Toolbox#Common_preferences">Settings</a>.</p>

<h3 id="Network_request_columns">Network request columns</h3>

<p>You can toggle columns on and off by right-clicking on the table header and choosing the specific column from the context menu. A <strong>Reset Columns</strong> command is available on the context menu to reset the columns to their initial configuration.</p>

<p>You can also change the width of the columns to help make the information you are looking for easier to view. The mouse pointer changes to a resize icon when you move it over the border of a column. You can drag to manually set the size of column. Starting in Firefox 76 you can double-click a column divider to resize the column to the left of it to fit its contents.</p>

<p>The <strong>Reset Columns</strong> command on the context menu also resets the width of the columns to the default values.</p>

<p>{{EmbedYouTube("5fbuDO2s9Pk")}}</p>

<p>Clicking the column header label sorts the request list by that column. You can reset the sort to the default by selecting "Reset Sorting" from the context menu.</p>

<p><img alt="Screenshot of the context menu for selecting columns to display in the Network monitor" src="https://mdn.mozillademos.org/files/17301/Network_monitor_columns_menu.png" style="display: block; height: 416px; margin: 0px auto; width: 248px;"></p>

<p>Here is a list of all available columns:</p>

<ul>
 <li><strong>Status</strong>: The HTTP status code returned. The numeric code is displayed on a colored background, to help unusual ones stand out. If there was no response, this column is empty. Or you might see a <img alt="Red circle with a diagonal slash" src="https://mdn.mozillademos.org/files/17302/blocked_nw_icon.png" style="height: 17px; width: 17px;"> red circle with a diagonal slash for responses that were blocked by the browser or the server.</li>
 <li><strong>Method</strong>: The HTTP request method used.</li>
 <li><strong>Domain</strong>: Domain of the path requested.
  <ul>
   <li>If the request used SSL/TLS and the connection had security weaknesses such as weak ciphers, you'll see a warning triangle next to the domain. Y</li>
   <li>Hover over the domain to see the IP address.</li>
   <li>There's an icon next to the domain that gives you extra information about the security status of that request. See <a href="/en-US/docs/Tools/Network_Monitor/request_list#Security_icons">Security icons</a>.</li>
  </ul>
 </li>
 <li><strong>File</strong>: The basename of the file requested.
  <ul>
   <li>(Starting in Firefox 80) On the right edge of the File column, a turtle icon appears if the server waiting time exceeds a threshold (default: 500 ms). A tooltip explains the problem. You can configure the threshhold in the <a href="https://support.mozilla.org/en-US/kb/about-config-editor-firefox">Configuration Editor</a> (about:config) by modifying the <code>devtools.netmonitor.audits.slow</code> setting.</li>
   <li><img alt="Screenshot of a network request with a turtle icon, and a tooltip explaining the problem" src="https://mdn.mozillademos.org/files/17369/nwmon-turtle-tooltip.png" style="border-style: solid; border-width: 1px; height: 58px; width: 840px;"></li>
  </ul>
 </li>
 <li><strong>URL</strong>: The {{glossary("URL")}} of the file requested.</li>
 <li><strong>Protocol:</strong> The network protocol used to transfer the data, this column is hidden by default.</li>
 <li><strong>Scheme:</strong> The scheme (https/http/ftp/...) of the path requested. This column is hidden by default.</li>
 <li></li>
 <li><strong>Remote IP</strong>: The IP address of the server answering the request. This column is hidden by default.</li>
 <li><strong>Type</strong>: <code>Content-type</code> of the response.</li>
 <li><strong>Cookies:</strong> The number of request cookies associated to the request. This column is hidden by default. This is new in Firefox 55.</li>
 <li><strong>Set-Cookies:</strong> The number of response cookies associated to the request. This column is hidden by default. This is new in Firefox 55.</li>
 <li><strong>Transferred</strong>: The number of bytes that were actually transferred to load the resource, or a message about why the resource was not transferred. A number value is less than <strong>Size</strong> if the resource was compressed.
  <ul>
   <li>If the resource was fetched from a <a href="/en-US/docs/Web/API/Service_Worker_API">service worker</a> cache, then this cell displays "service worker".</li>
   <li>Cached resources may be fetched from the cache and the network simultaneously, which may improve load time for slow caches. <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1358038">Starting with Firefox 68</a>, the transferred column lists either "cached (raced)" or "[size] (raced)" depending on the faster source. This feature is called <a href="https://slides.com/valentingosu/race-cache-with-network-2017#">Race Cache With Network (RCWN)</a>.</li>
   <li>If the resource was blocked, the message indicates why it was blocked. For example, "CSP", "Malware", "CORS Missing Allow Origin", "Blocked by [Name of Extension]".</li>
  </ul>
 </li>
 <li><strong>Size</strong>: The size of the transferred resource.</li>
</ul>

<h4 id="Image_thumbnails">Image thumbnails</h4>

<p>If the request is for an Image, hovering over its filename shows a preview of the image in a tooltip:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16257/image_preview.png" style="border: 1px solid black; display: block; height: 334px; margin: 0px auto; width: 900px;"></p>

<h4 id="Security_icons">Security icons</h4>

<p>The Network Monitor displays an icon in the Domain column:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16194/network_message_list_63.png" style="border: 1px solid black; display: block; height: 191px; margin: 0 auto; width: 845px;"></p>

<p>This gives you extra information about the security status of the request:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Icon</th>
   <th scope="col">Meaning</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/11655/https.svg" style="height: 16px; width: 16px;"></td>
   <td>HTTPS</td>
  </tr>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/11653/https-weak.svg" style="height: 16px; width: 16px;"></td>
   <td>Weak HTTPS (for example, a weak cipher was used)</td>
  </tr>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/11649/https-failed.svg" style="height: 16px; width: 16px;"></td>
   <td>Failed HTTPS (for example, a certificate was invalid)</td>
  </tr>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/11651/http.svg" style="height: 16px; width: 16px;"></td>
   <td>HTTP</td>
  </tr>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/11657/localhost.svg" style="height: 16px; width: 16px;"></td>
   <td>Localhost</td>
  </tr>
  <tr>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16192/tracker_icon.png" style="height: 16px; width: 16px;"></td>
   <td>Indicates that the URL belongs to a known tracker that would be blocked with content blocking enabled.</td>
  </tr>
 </tbody>
</table>

<h3 id="Timeline">Timeline</h3>

<p>The request list also displays a timeline for the different parts of each request.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16259/timeline.png" style="border: 1px solid black; display: block; height: 331px; margin: 0px auto; width: 900px;"></p>

<p>Each timeline is given a horizontal position in its row relative to the other network requests, so you can see the total time taken to load the page. For more details on the color-coding used here, see the section on the <a href="/en-US/docs/Tools/Network_Monitor#Timings">Timings</a> page.</p>

<p>Starting in Firefox 45, the timeline also contains two vertical lines:</p>

<ul>
 <li>The <span style="color: blue;">blue</span> line marks the point at which the page's <code><a href="/en-US/docs/Web/Events/DOMContentLoaded">DOMContentLoaded</a></code> event is triggered.</li>
 <li>The <span style="color: red;">red</span> line marks the point at which the page's <code><a href="/en-US/docs/Web/Events/load">load</a></code> event is triggered.</li>
</ul>

<h3 id="Blocking_specific_URLs">Blocking specific URLs</h3>

<p>If you want to view your page as it would look without a resource (e.g., if it were blocked by the browser or an extension), you can block requests matching patterns you specify.</p>

<ol>
 <li>Click the <strong>Request Blocking</strong> icon in the toolbar. This opens the <strong>Blocking</strong> sidebar. (Click the icon again when you want to close the sidebar.)<br>
  <img alt="Screen shot of the Blocking panel, with arrows indicating the panel and the Request Blocking toolbar icon" src="https://mdn.mozillademos.org/files/16959/request_blocking_panel.png" style="border-style: solid; border-width: 1px; height: 918px; width: 1908px;"></li>
 <li>Enter a string in the field with the placeholder text <em>Block resource when URL contains</em>.</li>
 <li>Reload the page to test it with the specified URL blocked.</li>
</ol>

<p>Other actions you can take with Request Blocking:</p>

<ul>
 <li>To turn all request blocking off or on: Toggle the checkbox next to Enable Request Blocking.</li>
 <li>To turn a specific block off or on: Toggle the checkbox next to that item.</li>
 <li>To delete a blocked item, click the X icon that appears when you focus the item.</li>
 <li>(Starting with Firefox 77) Right-click any item in the list and choose from the context menu:
  <ul>
   <li><strong>Enable all</strong> enables blocking of all items in the list.</li>
   <li><strong>Disable all </strong>disables blocking of all items in the list.</li>
   <li><strong>Remove all</strong> deletes all items in the list.</li>
  </ul>
 </li>
</ul>

<h4 id="Blocking_a_specific_URL_from_the_request_list">Blocking a specific URL from the request list</h4>

<p>You can also block a URL from the request list:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16701/beforeBlocking.png" style="border: 1px solid black; display: block; margin: 0 auto;"></p>

<ol>
 <li>Hover over the item you want to block in the Request List.</li>
 <li>Select Block URL from the context menu.</li>
 <li>When you refresh the page, that specific URL will be blocked and a message will be added to the item in the list indicating that it has been blocked by the DevTools.</li>
</ol>

<p><img alt="" src="https://mdn.mozillademos.org/files/16700/afterBlocking.png" style="border: 1px solid black; display: block; height: 865px; margin: 0px auto; width: 1136px;"></p>

<h4 id="Stop_blocking_a_URL_from_the_Request_List">Stop blocking a URL from the Request List</h4>

<p><img alt="" src="https://mdn.mozillademos.org/files/16702/unblockUrl.png" style="border: 1px solid black; display: block; margin: 0 auto;"></p>

<ol>
 <li>Hover over the item.</li>
 <li>Select <strong>Unblock URL</strong>.</li>
 <li>Now when you refresh the page, the item will once enabled.</li>
</ol>

<div class="notecard note">
<p><strong>Note:</strong> (Starting in Firefox 80) You can also block and unblock URLs from the <strong><a href="/en-US/docs/Tools/Web_Console">Web Console</a></strong>, using the <code>:block</code> and <code>:unblock</code> helper commands. These accept any string, and affect any URL containing the string.</p>
</div>

<h3 id="Filtering_requests">Filtering requests</h3>

<p>You can filter requests by content type, by whether they are XMLHttpRequests or WebSocket requests, or by request properties.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="row">Filter type</th>
   <th scope="col">How to apply</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <th scope="row">Content type</th>
   <td>Use the buttons in the <a href="/en-US/docs/Tools/Network_Monitor#Toolbar">toolbar</a> (<strong>HTML</strong>, <strong>CSS</strong>, <strong>JS</strong>).</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("XHR (XMLHttpRequest)", "XHR")}} requests</th>
   <td>Use the <strong>XHR</strong> button in the <a href="/en-US/docs/Tools/Network_Monitor#Toolbar">toolbar</a>.</td>
  </tr>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/API/WebSockets_API">WebSocket</a> connections</th>
   <td>Use the <strong>WS</strong> button in the <a href="/en-US/docs/Tools/Network_Monitor#Toolbar">toolbar</a>. You can filter by plain text (in which case the text is used to find partial matches; entering "for" will match any message that contains the word "for") or—as of <a href="/en-US/docs/Mozilla/Firefox/Releases/75">Firefox 75</a>—using <a href="/en-US/docs/Web/JavaScript/Guide/Regular_Expressions">regular expressions</a> (by writing the regexp bracketed within slashes; "/.+Corp.*/" will look for any occurrence of "Corp" which has at least one character before it and may or may not have any characters after it, for example).
    <p>The third-party add-on <a href="https://addons.mozilla.org/en-US/firefox/addon/websocketsniff">WebSocket Sniffer</a> may be helpful as well.</p>
   </td>
  </tr>
  <tr>
   <th scope="row">URL</th>
   <td>
    <p>Use the <em>Filter URLs</em> box in the <a href="/en-US/docs/Tools/Network_Monitor#Toolbar">toolbar</a>. You can focus it by clicking in the filter box, or by pressing <kbd>Ctrl</kbd> + <kbd>F</kbd> (or <kbd>Cmd</kbd> + <kbd>F</kbd> on a Mac); then start typing. The list of network requests is filtered to include only requests that contain your filter string, in either the Domain or the File portions.</p>

    <p>You can filter requests that <em>don't</em> contain your filter string by prefixing your query with the "-" operator. For example, the query "-google.com" will show all requests that don't have "google.com" in the URL.</p>
   </td>
  </tr>
  <tr>
   <th scope="row">Request properties</th>
   <td>Use the search box in the <a href="/en-US/docs/Tools/Network_Monitor#Toolbar">toolbar</a>. See next section.</td>
  </tr>
 </tbody>
</table>

<h4 id="Filtering_by_properties">Filtering by properties</h4>

<p>The search box recognizes specific keywords, which can be used to filter the requests by specific request properties. Those keywords are followed by a colon and a related filter value. The filter values are matched case insensitive. Prepending a minus (<code>-</code>) negates the filter. You can combine different filters together by separating them with a space.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="row">Keyword</th>
   <th scope="col">Meaning</th>
   <th scope="col">Examples</th>
  </tr>
  <tr>
   <th scope="row"><code>status-code</code></th>
   <td>Shows resources that have the specific HTTP status code.</td>
   <td><code>status-code:304</code></td>
  </tr>
  <tr>
   <th scope="row"><code>method</code></th>
   <td>Shows resources that have were requested via the specific HTTP request method.</td>
   <td><code>method:post</code></td>
  </tr>
  <tr>
   <th scope="row"><code>domain</code></th>
   <td>Shows resources coming from a specifc domain.</td>
   <td><code>domain:mozilla.org</code></td>
  </tr>
  <tr>
   <th scope="row"><code>remote-ip</code></th>
   <td>Shows resources coming from a server with the specified IP.</td>
   <td><code>remote-ip:63.245.215.53</code><br>
    <code>remote-ip:[2400:cb00:2048:1::6810:2802]</code></td>
  </tr>
  <tr>
   <th scope="row"><code>cause</code></th>
   <td>Shows resources matching a specific cause type. The types can be found in the description of the <a href="#Cause_column">cause column</a>.</td>
   <td><code>cause:js</code><br>
    <code>cause:stylesheet<br>
    cause:img</code></td>
  </tr>
  <tr>
   <th scope="row"><code>transferred</code></th>
   <td>Shows resources having a specific transferred size or a transferred size close to the one specified.  <code>k</code> can be used as suffix for kilobytes and <code>m</code> for megabytes, e.g. the value <code>1k</code> is equivalent to <code>1024</code>.</td>
   <td><code>transferred:1k</code></td>
  </tr>
  <tr>
   <th scope="row"><code>size</code></th>
   <td>Shows resources having a specific size (after decompression) or a size close to the one specified. <code>k</code> can be used as suffix for kilobytes and <code>m</code> for megabytes, e.g. the value <code>1k</code> is equivalent to <code>1024</code>.</td>
   <td><code>size:2m</code></td>
  </tr>
  <tr>
   <th scope="row"><code>larger-than</code></th>
   <td>Shows resources that are larger than the specified size in bytes. <code>k</code> can be used as suffix for kilobytes and <code>m</code> for megabytes, e.g. the value <code>1k</code> is equivalent to <code>1024</code>.</td>
   <td><code>larger-than:2000</code><br>
    <code>-larger-than:4k</code></td>
  </tr>
  <tr>
   <th scope="row"><code>mime-type</code></th>
   <td>Shows resources that match the specified MIME type.</td>
   <td><code>mime-type:text/html</code><br>
    <code>mime-type:image/png</code><br>
    <code>mime-type:application/javascript</code></td>
  </tr>
  <tr>
   <th scope="row"><code>is</code></th>
   <td><code>is:cached</code> and <code>is:from-cache</code> shows only resources coming from cache.<br>
    <code>is:running</code> shows only resources, which are currently being transferred.</td>
   <td><code>is:cached</code><br>
    <code>-is:running</code></td>
  </tr>
  <tr>
   <th scope="row"><code>scheme</code></th>
   <td>Shows resources transferred via the given scheme.</td>
   <td><code>scheme:http</code></td>
  </tr>
  <tr>
   <th scope="row"><code>has-response-header</code></th>
   <td>Shows resources that contain the specified HTTP response header.</td>
   <td><code>has-response-header:cache-control</code><br>
    <code>has-response-header:X-Firefox-Spdy</code></td>
  </tr>
  <tr>
   <th scope="row"><code>set-cookie-domain</code></th>
   <td>Shows the resources that have a <code>Set-Cookie</code> header with a <code>Domain</code> attribute that matches the specified value.</td>
   <td><code>set-cookie-domain:.mozilla.org</code></td>
  </tr>
  <tr>
   <th scope="row"><code>set-cookie-name</code></th>
   <td>Shows the resources that have a <code>Set-Cookie</code> header with a name that matches the specified value.</td>
   <td><code>set-cookie-name:_ga</code></td>
  </tr>
  <tr>
   <th scope="row"><code>set-cookie-value</code></th>
   <td>Shows the resources that have a <code>Set-Cookie</code> header with a value that matches the specified value.</td>
   <td><code>set-cookie-value:true</code></td>
  </tr>
  <tr>
   <th scope="row"><code>regexp</code></th>
   <td>Shows the resources having a URL that matches the given {{Glossary("regular expression")}}.</td>
   <td><code>regexp:\d{5}<br>
    regexp:mdn|mozilla</code></td>
  </tr>
 </thead>
</table>

<p>For example, to find all 404, not found, errors, you can type "404" into the search and auto-complete suggests "status-code:404" so you'll end up with something like this:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16677/404_filter.png" style="border: 1px solid black; display: block; margin: 0 auto;"></p>

<h3 id="Search_in_requests"><a id="Search_Requests">Search in requests</a></h3>

<p>Use the <em>Search</em> panel to run a full-text search on headers and content.</p>

<ol>
 <li>Click the <strong>Search</strong> icon in the toolbar. This opens the Search sidebar.<br>
  <img alt="Screenshot of the Network monitor, with the request search sidebar displayed, and arrows indicating the search toolbar icon and the search box." src="https://mdn.mozillademos.org/files/16967/search_panel.png" style="border-style: solid; border-width: 1px; height: 772px; width: 1946px;"></li>
 <li>Enter a string in the search field of the sidebar, and press <kbd>Enter</kbd> or <kbd>Return</kbd>. The search results area below the search field displays the requests that contain that string in the request or response headers or in the content of the response. You can expand each item to show the specific item that matches the string. Clicking an item in the search results highlights that item in the monitor list, and displays the corresponding information in the request details pane.<br>
  <img alt='Screenshot of the search panel, with "newsletter" as the search string, and callouts for the expanded results, and corresponding items displayed in the request list and headers tab.' src="https://mdn.mozillademos.org/files/16968/search_panel_matches.png" style="border-style: solid; border-width: 1px; height: 774px; width: 1950px;"></li>
</ol>

<p>Other ways to use the search panel:</p>

<ul>
 <li>To clear the search string: click the <strong>X</strong> icon in the search field.</li>
 <li>To make the search case sensitive: click the <strong>Case Sensitive</strong> (<strong>Aa</strong>) icon next to the search field.</li>
 <li>To close the search panel, do one of the following:
  <ul>
   <li>Click the <strong>X</strong> icon next to the search field.</li>
   <li>Click the <strong>Search</strong> icon in the Network Monitor toolbar.</li>
  </ul>
 </li>
</ul>

<h3 id="Context_menu">Context menu</h3>

<p>Context-clicking on a row in the list displays a context menu with the following options:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Menuitem</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Copy &gt; Copy URL</td>
   <td>Copies the URL.</td>
  </tr>
  <tr>
   <td>Copy &gt; Copy as cURL</td>
   <td>Copies the network request to the clipboard as a <a href="http://curl.haxx.se/">cURL</a> command, so you can execute it from a command line. See <a href="#Copy_as_cURL">Copy as cURL</a>, below.</td>
  </tr>
  <tr>
   <td>Copy &gt; Copy as Fetch</td>
   <td>Copies the request as a call to the <a href="/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch">fetch()</a> method, including the URL and any settings object.</td>
  </tr>
  <tr>
   <td>Copy &gt; Copy Request Headers</td>
   <td>Copies the request's header to the clipboard.</td>
  </tr>
  <tr>
   <td>Copy &gt; Copy Response Headers</td>
   <td>Copies the headers of the response for this request, to the clipboard.</td>
  </tr>
  <tr>
   <td>Copy &gt; Copy Response</td>
   <td>Copies the entire response that was sent for this request.</td>
  </tr>
  <tr>
   <td>Copy &gt; Copy All As HAR</td>
   <td>Creates an <a href="https://w3c.github.io/web-performance/specs/HAR/Overview.html">HTTP Archive</a> (HAR) for all requests listed, and copies it to the clipboard.</td>
  </tr>
  <tr>
   <td>Save All As HAR</td>
   <td>Creates an <a href="https://w3c.github.io/web-performance/specs/HAR/Overview.html">HTTP Archive</a> (HAR) for all requests listed, and opens a file dialog, so you can save it to a file.</td>
  </tr>
  <tr>
   <td>Resend</td>
   <td>Resends the request as it was originally sent with no changes made.</td>
  </tr>
  <tr>
   <td>Edit and Resend</td>
   <td>Opens an editor enabling you to edit the request's method, URL, parameters, and headers, and resend the request.</td>
  </tr>
  <tr>
   <td>Block URL</td>
   <td>Blocks the selected URL for future requests. See <a href="#Blocking_a_specific_URL_from_the_Request_List">Blocking a specific URL from the Request List</a>.</td>
  </tr>
  <tr>
   <td>Open in New Tab</td>
   <td>Resends the request in a new tab — very useful for debugging asynchronous requests.</td>
  </tr>
  <tr>
   <td>Open in Style Editor</td>
   <td>For a CSS resource, opens it in the <a href="/en-US/docs/Tools/Style_Editor">Style Editor</a>.</td>
  </tr>
  <tr>
   <td>Start <a href="/en-US/docs/Tools/Network_Monitor#Performance_analysis">Performance Analysis</a></td>
   <td></td>
  </tr>
  <tr>
   <td>Use as Fetch in Console</td>
   <td>Submits the request as a call to the <a href="/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch">fetch()</a> method in the console.</td>
  </tr>
 </tbody>
</table>

<h4 id="Copy_as_cURL">Copy as cURL</h4>

<p>The command may include the following options:</p>

<table class="standard-table">
 <tbody>
  <tr>
   <td><code>-X [METHOD]</code></td>
   <td>If the method is not GET or POST</td>
  </tr>
  <tr>
   <td><code>--data</code></td>
   <td>For URL encoded request parameters</td>
  </tr>
  <tr>
   <td><code>--data-binary</code></td>
   <td>For multipart request parameters</td>
  </tr>
  <tr>
   <td><code>--http/VERSION</code></td>
   <td>If the HTTP version is not 1.1</td>
  </tr>
  <tr>
   <td><code>-I</code></td>
   <td>If the method is HEAD</td>
  </tr>
  <tr>
   <td><code>-H</code></td>
   <td>
    <p>One for each request header.</p>

    <p>If the "Accept-Encoding" header is present, the cURL command includes <code>--compressed</code> instead of <code>-H "Accept-Encoding: gzip, deflate"</code>. This means that the response will be automatically decompressed.</p>
   </td>
  </tr>
  <tr>
   <td><code>--globoff</code></td>
   <td>Suppresses cURL's globbing (wildcard matching) feature if the copied URL includes square bracket characters (<code>[</code> or <code>]</code>). (Starting in Firefox 76)</td>
  </tr>
 </tbody>
</table>

<h4 id="Managing_HAR_data">Managing HAR data</h4>

<p>The HAR format enables you to export detailed information about network requests. In addition to the <strong>Copy</strong> and <strong>Save</strong> menu items for HAR in the context menu, similar menu items are available in the <strong>HAR</strong> dropdown menu in the toolbar,  as well as an <strong>Import</strong> menuitem.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16056/har-dropdown.png" style="border-style: solid; border-width: 1px; height: 131px; width: 362px;"></p>

<h2 id="Network_Monitor_features">Network Monitor features</h2>

<p>The following articles cover different aspects of using the network monitor:</p>

<ul>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Toolbar">Toolbar</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/request_details">Network request details</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/recording">Network traffic recording</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Performance_Analysis">Performance analysis</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Throttling">Throttling</a></li>
</ul>
